MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024139Open CASCADE[OCCT] OCCT:Documentationpublic2013-09-02 10:212014-01-13 11:15
Reporterszv 
Assigned Toysn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024139: Strange names used for pdf files of User Guides
DescriptionI suggest to change rather strange names of pdf files of OCCT Users Guides to some more self-explanatory, like:

thug.pdf -> OCCT_DrawTestHarness_UG.pdf
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0025700)
atp (developer)
2013-09-23 13:31

Option 1: Rename all user's guides as follows:

brep_wp -> OCCT_BREP_Format_Description_WP
cdl -> OCCT_CDL_UG
fcug -> OCCT_Foundation_Classes_UG
iges -> OCCT_IGES_Format_UG
modalg -> OCCT_Modeling_Algorithms_UG
modata -> OCCT_Modeling_Data_UG
ocaf -> OCCT_Application_Framework_UG
ocaf_functionmechanism_wp -> OCCT_Application_Framework_Function_Mechanism_WP
ocaf_tree_wp -> OCCT_Application_Framework_Tree_WP
ocaf_wp -> OCCT_Application_Framework_WP
shape_heal -> OCCT_Shape_Healing_UG
step -> OCCT_STEP_Import_Export_UG
thug -> OCCT_Draw_Test_Harness_UG
TObj -> OCCT_TObj_Package_UG
tutorial -> OCCT_Tutorial
visu -> OCCT_Visualization_UG
voxels_wp -> OCCT_Voxels_WP
wok -> OCCT_WOK_UG
wok_env_wp -> OCCT_Binary_WOK_Package_WP
xde -> OCCT_XDE_UG

Option 2: Rename only one user's guide (thug.pdf) to drawug.pdf (since the word itself is confusing) and leave the rest of the user's guides with their existing names unchanged.
(0027288)
abv (manager)
2013-12-21 11:40

In OCCT 6.7.0, the PDF guides are named and put in sub-folders in accordance with structure of the new documentation system:

D:\OCCT670\opencascade-6.7.0\doc\pdf>ls -1R
.:
dev_guides
occt_tutorial.pdf
user_guides

./dev_guides:
occt_cdl.pdf
occt_coding_rules.pdf
occt_contribution_workflow.pdf
occt_documentation.pdf
occt_git_guide.pdf
occt_tests.pdf
occt_wok.pdf

./user_guides:
occt_brep_format.pdf
occt_foundation_classes.pdf
occt_iges.pdf
occt_modeling_algos.pdf
occt_modeling_data.pdf
occt_ocaf.pdf
occt_ocaf_functionmechanism_wp.pdf
occt_ocaf_tree_wp.pdf
occt_ocaf_wp.pdf
occt_shape_healing.pdf
occt_step.pdf
occt_test_harness.pdf
occt_tobj.pdf
occt_visualization.pdf
occt_voxels_wp.pdf
occt_xde.pdf
(0027289)
abv (manager)
2013-12-21 11:41

I suppose the issue is fixed in OCCT 6.7.0

- Issue History
Date Modified Username Field Change
2013-09-02 10:21 szv New Issue
2013-09-02 10:21 szv Assigned To => atp
2013-09-23 13:31 atp Note Added: 0025700
2013-09-23 13:32 atp Assigned To atp => szv
2013-10-25 15:38 szv Assigned To szv => bugmaster
2013-10-25 15:38 szv Status new => assigned
2013-10-25 15:53 bugmaster Assigned To bugmaster => ysn
2013-12-21 11:40 abv Note Added: 0027288
2013-12-21 11:41 abv Note Added: 0027289
2013-12-21 11:41 abv Status assigned => closed
2013-12-21 11:41 abv Resolution open => fixed
2013-12-21 11:41 abv Fixed in Version => 6.7.0
2014-01-13 11:15 bugmaster Category OCCT Release:DOC => OCCT:Documentation


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker